# Uses of Class
javax.swing.text.html.parser.AttributeList

Packages that use AttributeList
Package
Description
javax.swing.text.html.parser
Provides the default HTML parser, along with support classes.

## Uses of AttributeList in javax.swing.text.html.parser

Fields in javax.swing.text.html.parser declared as AttributeList
Modifier and Type
Field
Description
`AttributeList`
Element.`atts`
The attributes
`AttributeList`
AttributeList.`next`
The next attribute in the list
Methods in javax.swing.text.html.parser that return AttributeList
Modifier and Type
Method
Description
`protected AttributeList`
DTD.`defAttributeList(String name, int type, int modifier, String value, String values, AttributeList atts)`
Creates and returns an `AttributeList` responding to a new attribute.
`AttributeList`
Element.`getAttribute(String name)`
Get an attribute by name.
`AttributeList`
Element.`getAttributeByValue(String value)`
Get an attribute by value.
`AttributeList`
Element.`getAttributes()`
Get the attributes.
`AttributeList`
AttributeList.`getNext()`
Methods in javax.swing.text.html.parser with parameters of type AttributeList
Modifier and Type
Method
Description
`protected AttributeList`
DTD.`defAttributeList(String name, int type, int modifier, String value, String values, AttributeList atts)`
Creates and returns an `AttributeList` responding to a new attribute.
`protected Element`
DTD.`defElement(String name, int type, boolean omitStart, boolean omitEnd, ContentModel content, String[] exclusions, String[] inclusions, AttributeList atts)`
Creates and returns an `Element`.
`void`
DTD.`defineAttributes(String name, AttributeList atts)`
Defines attributes for an `Element`.
`Element`
DTD.`defineElement(String name, int type, boolean omitStart, boolean omitEnd, ContentModel content, BitSet exclusions, BitSet inclusions, AttributeList atts)`
Returns the `Element` which matches the specified parameters.
Constructors in javax.swing.text.html.parser with parameters of type AttributeList
Modifier
Constructor
Description
``
`AttributeList(String name, int type, int modifier, String value, Vector<?> values, AttributeList next)`
Create an attribute list element.